<?php
define('GCMS',true);
require_once ('system/power.php');
$rul = $db -> query("SELECT `rega` FROM `nastroiki`");
$war = $rul -> fetch_row();
if ($war[0]>1) {
if ($do) {
if (empty($_POST['login']) || empty($_POST['pass'])) {
if($nastr['capcha']=='0'){
$array = array('1','2','3','4','5','6','7','8','9','0');
$i = 0;
$cod = '';
while ($i < 4) {
$cod .= $array[array_rand($array)];
++$i;
}
$_SESSION['code'] = $cod;}
$diz -> head('Регистрация');
$diz -> title('Регистрация');
$ua = str_replace('windows ce', '', strtolower($_SERVER['HTTP_USER_AGENT']));
if (stripos($ua, 'windows') !== false || stripos($ua, 'linux') !== false || stripos($ua, 'bsd') !== false || stripos($ua, 'x11') !== false || stripos($ua, 'unix')
 !== false || stripos($ua, 'macos') !== false || stripos($ua, 'macintosh') !== false) {
?>
<html>
<div class="fon">
<form action="reg.php?do=true" method="post" onsubmit="return SendForm();">
Ваш ник<br/>
<input type="text" id="login" name="login" onFocus="javascript:toggleMsg('msg-1')" onBlur="javascript:toggleMsg('msg-1')" maxlength="12"/>
<span id="msg-1" class="msg" style="visibility:hidden;">A-z,А-я,0-9,"-","_" (max:12)</span><br/>
Ваш пол:<br/><select name="sex"><option value="m">Мужской</option><option value="w">Женский</option></select><br/>
Ваш пароль<br/>
<input  type="password" id="pass" name="pass" onFocus="javascript:toggleMsg('msg-2')" onBlur="javascript:toggleMsg('msg-2')" maxlength="12"/>
<span id="msg-2" class="msg" style="visibility:hidden;">A-z,0-9 (max:12)</span><br/>
Ваш email<br/>
<input  type="text" id="email" name="email" onFocus="javascript:toggleMsg('msg-3')" onBlur="javascript:toggleMsg('msg-3')" maxlength="20"/>
<span id="msg-3" class="msg" style="visibility:hidden;">Введите ваш email</span><br/>
</html>
<script language="JavaScript">
required = new Array("login" , "pass");
required_show = new Array("ваш ник","ваш пароль");
function SendForm () {
var i, j;
for(j=0; j<required.length; j++) {
for (i=0; i<document.forms[0].length; i++) {
 if (document.forms[0].elements[i].name == required[j] && document.forms[0].elements[i].value == "" ) {
alert('Пожалуйста, введите ' + required_show[j]);
document.forms[0].elements[i].focus();
return false;
}}}return true;}
</script>
<?
}else{
?>
<html>
<div class="fon">
<form action="reg.php?do=true" method="post" onsubmit="return SendForm();">
Ваш ник<br/>
<input type="text" id="login" name="login" maxlength="12"/>
Ваш пол:<br/><select name="sex"><option value="m">Мужской</option><option value="w">Женский</option></select><br/>
Ваш пароль<br/>
<input  type="password" id="pass" name="pass" maxlength="12"/>
Ваш email<br/>
<input  type="text" id="email" name="email" maxlength="20"/>
</html>
<script language="JavaScript">
required = new Array("login" , "pass");
required_show = new Array("ваш ник","ваш пароль");
function SendForm () {
var i, j;
for(j=0; j<required.length; j++) {
for (i=0; i<document.forms[0].length; i++) {
 if (document.forms[0].elements[i].name == required[j] && document.forms[0].elements[i].value == "" ) {
alert('Пожалуйста, введите ' + required_show[j]);
document.forms[0].elements[i].focus();
return false;
}}}return true;}
</script>
<?
}
if($nastr['capcha']=='0'){
$msg .= 'Введите код:'.$diz -> img('code.php').'
<br/><input type="text" name="code" maxlength="4" title="Введите проверочный код"/></br>';}
$msg.='<input type="submit" value="Регистрация"/></form>'; 
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}elseif(($_POST['code'] != $_SESSION['code']) and($nastr['capcha']=='0'))
{
$diz -> head('Ошибка проверочного кода');
$diz -> title('Ошибка');
$diz -> out('Не введен или введен не верно проверочный код!<br/>
<a href="reg.php?do=true">Назад</a>');
header('refresh: 3; reg.php?do=true');
} else {
$login = shit($_POST['login']); 
$sql = $db -> query("SELECT `id` FROM `users` WHERE `login` = '".$login."' LIMIT 1");
if(!empty($_POST['email']) and !preg_match("#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui",$_POST['email']))
{
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('Неверный формат email!
<br/><a href="reg.php?do=true">Назад</a>');}
elseif($sql -> num_rows > 0)
{
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('Ошибка! Такой ник уже существует!<br/>Выберите другой
<br/><a href="reg.php?do=true">Назад</a>');
}elseif(preg_match("/[^a-z0-9]+/i",$_POST['pass']))
{
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('Ошибка заполнения пароля!
<br/><a href="reg.php?do=true">Назад</a>');
}elseif(mb_strlen($_POST['login']) > 12 || mb_strlen($_POST['pass']) > 12 || mb_strlen($_POST['login']) < 3 || mb_strlen($_POST['pass']) < 3 )
{
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Ник/пароль должны состоять не больше чем из 12 символов и не менне 3!
<br/><a href="reg.php?do=true">Назад</a>');
}elseif(!preg_match("#^([A-zА-я0-9\-\_])+$#ui",$_POST['login']))
{
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('В нике присутствуют запрещенные символы!
<br/><a href="reg.php?do=true">Назад</a>');
}elseif(preg_match("#[a-z]+#ui", $_POST['login']) && preg_match("#[а-я]+#ui",$_POST['login']))
{
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('Нельзя использовать сразу ENG и RUS символы!
<br/><a href="reg.php?do=true">Назад</a>');
}elseif(preg_match("#(^\ )|(\ $)#ui", $_POST['login']))
{
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('Некорректный логин!
<br/><a href="reg.php?do=true">Назад</a>');
}else {
unset($_SESSION['code']);
$login = shit($_POST['login']); 
$p = htmlentities($_POST['pass'],ENT_QUOTES,'UTF-8');
$email = htmlentities($_POST['email'],ENT_QUOTES,'UTF-8');
$pass = md5(md5($_POST['pass']));
$sex = (!empty($_POST['sex']) && ($_POST['sex'] == 'm' or $_POST['sex'] == 'w')) ? trim($_POST['sex']) : '';
if($nastr['rega']!='3'){$act='yes';}else{$act='no';}
$db -> query("INSERT INTO `users` SET `login` = '".$login."', `pass` = '".$pass."',`passnow` = '".$p."',`ava` = '0.png',`versh` = '3',`shir` = '15',`sex` = '".$sex."',`act` = '".$act."',`email` = '".$email."',`style`='".$nastr['ststyle']."',`balls`='".$nastr['bonus']."',`time` = '".time()."'");
$d = $db -> insert_id;
if ($d == 1) {$db -> query("UPDATE `users` SET `level` = '7' WHERE `id` = '1'");
$array = array('1','2','3','4','5','6','7','8','9','0');
$i = 0;
$cod = '';
while ($i < 4) {
$cod .= $array[array_rand($array)];
++$i;
}
$sespass = $cod;
$spass = md5(md5($sespass));
$db -> query("INSERT INTO `users` SET `login` = 'Система', `pass` = '".$spass."',`passnow` = '".$sespass."',`ava` = '0.png',`versh` = '3',`shir` = '15',`style`='".$nastr['ststyle']."',`time` = '".time()."'");
}
$_SESSION['user_id'] = $d;
$_SESSION['pass'] = $pass;
$diz -> head('Регистрация!');
$diz -> title('Успешная регистрация!');
$msg .= '<div class="fon">Вы успешно зарегистрировались!<br/>Запомните свои данные<br/>ID: <b>'.$d."</b>";
$msg .= '<br/>Ник: <b>'.$login."</b>";
$msg .= '<br/>Пароль: <b>'.$p."</b>";
$msg .= '</div><div class="levo"><a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}
}
} else {
$diz -> head('Регистрация');
$diz -> title('Правила сайта');
$war = $db -> query("SELECT `pravila` FROM `nastroiki`")-> fetch_row();
$msg.='<div class="fon">';
if($war[0]!=''){
$text = $func -> tags($func -> smiles($war[0]));
$msg .= ''.$text.'';}
else{$msg.='Правила сайта пока не установлены!';}
$msg .= '<hr><a href="reg.php?do=true">Согласен</a> | <a href="index.php">Не согласен</a>';
$msg .= '</div><div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}
}else{
$diz -> head('Регистрация закрыта');
$diz -> title('Регистрация закрыта');
$msg .= 'Извините,но регистрация была закрыта администратором! <a href="index.php">Назад</a>';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);}
?>